rotate_vector.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | orientation (vec< 3, T, Q > const &Normal, vec< 3, T, Q > const &Up)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | rotate (vec< 2, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rotate (vec< 3, T, Q > const &v, T const &angle, vec< 3, T, Q > const &normal)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | rotate (vec< 4, T, Q > const &v, T const &angle, vec< 3, T, Q > const &normal)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rotateX (vec< 3, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | rotateX (vec< 4, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rotateY (vec< 3, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | rotateY (vec< 4, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | rotateZ (vec< 3, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, T, Q > | rotateZ (vec< 4, T, Q > const &v, T const &angle)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | slerp (vec< 3, T, Q > const &x, vec< 3, T, Q > const &y, T const &a)

## Detailed Description

GLM_GTX_rotate_vector

See also
  Core features (dependence)
  GLM_GTX_transform (dependence)

Definition in file rotate_vector.hpp.